package com.yizhi.comment.application.constans;

public interface Constant {

    public final Integer STATE_DELETED = 0;

    public final Integer NOT_DELETED = 0;

    public final Integer DELETED = 1;

    public final Integer UP = 1;

    public final Integer DOWN = 2;
    /**
     * 对于举报，业务类型是帖子
     */
    public final Integer TASK_TYPE_POSTS = 2;
    /**
     *  对于举报，业务类型是评论回复
     */
    public final Integer TASK_TYPE_COMMENT_REPLY = 1;
    /**
     * 类型是评论
     */
    public final Integer TYPE_COMMENT = 1;
    /**
     * 类型是回复
     */
    public final Integer TYPE_REPLY = 2;
    /**
     * 类型是举报
     */
    public final Integer TYPE_INFORM = 3;
    /**
     * 排序类型是最新回复
     */
    public final Integer ORDER_BY_NEW_REPLY = 1;
    /**
     * 排序类型是最早回复
     */
    public final Integer ORDER_BY_OLD_REPLY = 2;
    public final Integer ZERO = 0;

    /**
     * 该回复已被删除
     *
     */
    public static final String COMMENT_HAS_DELETED = "该回复已被删除";


}
