package com.yizhi.comment.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "InformCommentVo", description = "举报中的回复")
public class InformCommentVo {

    private Long id;

    @ApiModelProperty(value = "1:评论  2-回复")
    private Integer type;

    @ApiModelProperty(value = "账号id")
    private Long accountId;

    @ApiModelProperty(value = "评论人")
    private String commentator;

    @ApiModelProperty(value = "评论内容")
    private String content;

    @ApiModelProperty(value = "评论时间")
    private Date createTime;

    @ApiModelProperty(value = "是否被禁言")
    private Boolean hasForbidden;

    @ApiModelProperty(value = "评论人的状态")
    private String status;

    @ApiModelProperty(value = "评论回复的状态 1:上架  2：下架")
    private Integer commentStatus;

    @ApiModelProperty(value = "用户头像")
    private String  userAvatar;


}
