package com.yizhi.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 评论点赞记录表
 * </p>
 *
 * @author yizhi123
 * @since 2019-12-30
 */
@Data

@TableName("new_comment_admire")
public class NewCommentAdmire {

    private static final long serialVersionUID = 1L;


	private Long Id;

    
	@TableField("account_id")
	private Long accountId;

    
	@TableField("comment_id")
	private Long commentId;

    
	@TableField("biz_type")
	private Integer bizType;
    
	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

    
	private Integer state;



}
