package com.yizhi.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data

@TableName("pdf_pages")
public class PdfPages extends Model<PdfPages>{

    private static final long serialVersionUID = 1L;

	private Long id;

	
	@TableField("pdf_page")
	private Integer pdfPage;

	
	@TableField("biz_id")
	private Long bizId;

	
	@TableField("biz_type")
	private Integer bizType;

	
	@TableField("image_url")
	private String imageUrl;

	@Override
	protected Serializable pkVal() {
		return this.id;
	}
}
