package com.yizhi.application.mapper;

import com.yizhi.application.domain.NewReply;
import com.yizhi.comment.application.vo.domain.NewReplyVo;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.session.RowBounds;

import com.baomidou.mybatisplus.mapper.BaseMapper;

/**
 * <p>
 * 回复 Mapper 接口
 * </p>
 *
 * @author yizhi123
 * @since 2019-12-30
 */
public interface ReplyMapper extends BaseMapper<NewReply> {

    List<NewReply> getCommentPage(@Param("commentId")Long commentId, RowBounds rowBounds);
    
    Integer getCommentPageCount(@Param("commentId") Long commentId);
    
    List<NewReply> list(@Param("bizId") Long bizId);
}
