package com.yizhi.comment.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 评论点赞记录表
 * </p>
 *
 */
@Data
@ApiModel(value = "AdmireVO", description = "评论点赞记录表")

public class AdmireVO {

    @ApiModelProperty(value = "点赞数")
    private Integer admireNums = 0;


    @ApiModelProperty(value = "是否已点赞")
    private Boolean hasAdmire = false;


}
