package com.yizhi.comment.application.vo;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.yizhi.comment.application.vo.domain.NewReplyVo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CommentVo {

    private Long id;

    @ApiModelProperty(value = "账号id")
    private Long accountId;

    @ApiModelProperty(value = "评论人")
    private String commentator;
    
    @ApiModelProperty(value = "评论人姓名")
    private String commentatorName;
    
    @ApiModelProperty(value = "评论对象")
    private String replyName;

    @ApiModelProperty(value = "评论对象id")
    private Long replyId;
    
    @ApiModelProperty(value = "评论内容")
    private String content;

    @ApiModelProperty(value = "评论时间")
    private Date createTime;

    @ApiModelProperty(value = "点赞数")
    private Integer thumbsUp;

    @ApiModelProperty(value = "用户头像")
    private String  userAvatar;

    @ApiModelProperty(value = "回复数")
    private Integer  replys;

    @ApiModelProperty("状态(1：上架|2：下架  默认为1)")
    private Integer state;
    
    @ApiModelProperty(value = "回复列表")
    private List<NewReplyVo> replies = new ArrayList<>();



}
