package com.yizhi.comment.application.vo.domain;

import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@Api(tags = "PdfPagesVo", description = "pdf图片")
@TableName("pdf_pages")
public class PdfPagesVo {

    private static final long serialVersionUID = 1L;

	private Long id;

	@ApiModelProperty(value = "页数")
	
	private Integer pdfPage;

	@ApiModelProperty(value = "业务id")
	
	private Long bizId;

	@ApiModelProperty(value = "业务类型")
	
	private Integer bizType;

	@ApiModelProperty(value = "图片地址")
	
	private String imageUrl;

}
