package com.yizhi.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 订阅
 * </p>
 *
 * @author yizhi123
 * @since 2019-12-30
 */
@Data

@TableName("subscribe")
public class Subscribe {

    private static final long serialVersionUID = 1L;


    
	private Long id;

    
	@TableField("biz_type")
	private Integer bizType;

    
	@TableField("biz_id")
	private Long bizId;

    
	private Integer status;

    
	@TableField("site_id")
	private Long siteId;

    
	@TableField("account_id")
	private Long accountId;

    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;
    
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;
    
    @TableField(value = "update_by_id", fill = FieldFill.UPDATE)
    private Long updateById;

    @TableField(value = "update_by_name", fill = FieldFill.UPDATE)
    private String updateByName;

    @TableField(value = "update_time", fill = FieldFill.UPDATE)
    private Date updateTime;

	@TableField("company_id")
	private Long companyId;
}
